Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.exception
Class CertificateVerificationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              be.ehealth.technicalconnector.exception.ConnectorException
                  be.ehealth.technicalconnector.exception.TechnicalConnectorException
                      be.ehealth.technicalconnector.exception.CertificateVerificationException

All Implemented Interfaces:
  Serializable

    public class CertificateVerificationException

extends TechnicalConnectorException

This class wraps an exception that could be thrown during the certificate verification process.

See Also:
  Serialized Form

Constructor Summary
`CertificateVerificationException(String message)`
`CertificateVerificationException(String message, Throwable cause)`

Method Summary

Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException
`getCategory`

Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertificateVerificationException

    public CertificateVerificationException(String message,
                                            Throwable cause)

### CertificateVerificationException

    public CertificateVerificationException(String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.